Support » Plugin: Passster - Password Protection » Critical error

  • Resolved charafweb

    (@charafweb)


    I updated the plugin to 3.3.2 .
    On pages where I’m using the shortcode, I’m getting “A critical error has occurred on your site.”

    I activated debugging to try and find where the error comes from but in vain.

    define( ‘WP_DEBUG’, true );
    define( ‘WP_DEBUG_LOG’, true );

    I got nothing exept : A critical error has occurred on your site.

    I checked the php error log, and found this :

    2020/06/16 21:32:54 [error] 11615#11615: *10659 FastCGI sent in stderr: “PHP message: PHP Fatal error: Maximum execution time of 30 seconds exceeded in /home/mynamehere/mydomainDotcom/public/wp-content/plugins/content-protector-premium/vendor/rych/phpass/library/Phpass/Hash/Adapter/Base.php on line 94” while reading response header from upstream, client: XXX.YYY.ZZZ.AAA, server: mydomainDotcom, request: “GET /blog/page-url-where-issue-occured/ HTTP/1.1”, upstream: “fastcgi://unix:/run/php/php7.3-fpm.sock:”, host: “mydomainDotcom”, referrer: “https://mydomainDotcom/blog/”

    I cleared chaches (wp rocket, nginx, redis), re-saved the password list, activated compatibilty mode (deactivating ajax)… did everything I can imagine with no result.

    I stucked, I deactivated the plugin, and now there are many blog articles left whith the ugly shortcodes there.

    please fix asap. Or please provide a link to previous version (pro version).

    Best regards

Viewing 3 replies - 1 through 3 (of 3 total)
  • Plugin Author patrickposner

    (@patrickposner)

    Hey @charafweb,

    as the error indicates this is not really a code problem that I can fix right now.
    Your max execution time was exceeded while encrypting the passwords from the list.

    A quick fix:

    Send a mail to support@patrickposner.dev
    I send you the latest pro version before the major release.

    Please provide some additional details in that mail (e.x. how many passwords you are using, PHP version, memory limit, and so on) maybe I can improve the code so it works for your setup.

    Best regards,
    Patrick

    Thread Starter charafweb

    (@charafweb)

    Thank you for the link.

    The plugin was working just great before the upgrade.
    I have a list of 600 passwords.
    PHP version 7.3
    max_execution_time = 30
    max_input_time = 60
    memory_limit = 128M

    Thread Starter charafweb

    (@charafweb)

    Same issue after updating from 3.2.6.1 to 3.3.4.1 ! Going back to 3.2.6.1 🙁

    • This reply was modified 8 months, 1 week ago by charafweb.
Viewing 3 replies - 1 through 3 (of 3 total)
  • The topic ‘Critical error’ is closed to new replies.